API Direct
Endpoints
YouTube Channel Details

YouTube Channel Details

GET /v1/youtube/channel

Get detailed information about a YouTube channel by channel ID, URL, or name/handle. Returns channel name, description, subscriber count, video count, total view count, country, creation date, verification status, external links, profile picture, and banner.

Cost
$0.005 per request
Free tier
50 requests/month

Parameters

id
YouTube channel ID (24 characters, starts with UC), e.g. UCXuqSBlHAE6Xw-yeJA0Tunw
url
Channel URL — use instead of id: youtube.com/channel/..., youtube.com/@handle, /c/ or /user/ forms
name
Channel name or @handle — use instead of id (e.g. @mkbhd or Linus Tech Tips)

Example Request

curl "https://apidirect.io/v1/youtube/channel?id=UCXuqSBlHAE6Xw-yeJA0Tunw" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "channel": {
    "channel_id": "UCXuqSBlHAE6Xw-yeJA0Tunw",
    "channel_name": "Linus Tech Tips",
    "description": "Linus Tech Tips is a passionate team of \"professionally curious\" experts in consumer technology and video production who aim to educate and entertain.",
    "subscriber_count": "16.9M",
    "video_count": "7.8K",
    "view_count": 9633982641,
    "country": "Canada",
    "creation_date": "2008-11-25",
    "verified": true,
    "has_business_email": true,
    "links": [
      {
        "name": "lttstore.com",
        "url": "https://lttstore.com"
      },
      {
        "name": "Twitter",
        "url": "https://twitter.com/LinusTech"
      }
    ],
    "profile_pic_url": "https://yt3.googleusercontent.com/.../photo.jpg",
    "banner": "https://yt3.googleusercontent.com/.../banner.jpg",
    "url": "https://youtube.com/channel/UCXuqSBlHAE6Xw-yeJA0Tunw"
  }
}

Your Usage

Free tier this month
Loading...
Recent Activity